class C1:
    def meth1(self): self.__X = 88       # Teraz X jest mój
    def meth2(self): print(self.__X)     # Staje się _C1__X w I
class C2:
    def metha(self): self.__X = 99       # Ja też
    def methb(self): print(self.__X)     # Staje się _C2__X w I

class C3(C1, C2): pass
I = C3()                                 # Dwie nazwy X names w I

I.meth1(); I.metha()                     # Ustawienie nazw
print(I.__dict__)                        # Rezczywiste miejsce zapisania
I.meth2(); I.methb()                     # Pobranie nazw

